This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 203666 - -server added unconditionally in run.conf
-server added unconditionally in run.conf
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: jbossas (Show other bugs)
v1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 17:29 EDT by Permaine Cheung
Modified: 2007-04-18 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0084
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 13:29:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Permaine Cheung 2006-08-22 17:29:14 EDT
Description of problem:
When running run.sh from /var/lib/jbossas/bin, the option -server is added
unconditionally which is not supported by IBM JVM.
The workaround is to comment out the setting of JAVA_OPTS in
/var/lib/jbossas/bin/run.conf

Version-Release number of selected component (if applicable):
jbossas-4.0.4-1.el4s1.18

How reproducible:
Always

Steps to Reproduce:
1. cd /var/lib/jbossas/bin
2. ./run.sh (without JAVA_OPTS set using IBM JVM)
3.
  
Actual results:

=========================================================================
 
  JBoss Bootstrap Environment
 
  JBOSS_HOME: /var/lib/jbossas
 
  JAVA: /usr/lib/jvm/java/bin/java
 
  JAVA_OPTS: -server -Xms128m -Xmx512m -Dsun.rmi.dgc.client.gcInterval=3600000
-Dsun.rmi.dgc.server.gcInterval=3600000 -Dprogram.name=run.sh
 
  CLASSPATH: /var/lib/jbossas/bin/run.jar:/usr/lib/jvm/java/lib/tools.jar
 
=========================================================================
 
JVMJ9VM007E Command-line option unrecognised: -server
Could not create the Java virtual machine.

Expected results:
Starts successfully

Additional info:
An upstream JIRA is opened:
http://jira.jboss.com/jira/browse/JBAS-3458
Comment 1 Deepak Bhole 2007-01-24 15:13:16 EST
Fixed in 4.0.5. The -server argument is no longer supplied by default. See
http://jira.jboss.com/jira/browse/JBAS-3458
Comment 2 Len DiMaggio 2007-01-24 15:47:35 EST
Verified in:
jbossas-core-4.0.5-1.el4s1.5
jbossas-4.0.5-1.el4s1.5

[root@dl385-02 bin]# java -version
java version "1.5.0"
Java(TM) 2 Runtime Environment, Standard Edition (build pxi32dev-20060511 (SR2))
IBM J9 VM (build 2.3, J2RE 1.5.0 IBM J9 2.3 Linux x86-32 j9vmxi3223-20060504
(JIT enabled)
J9VM - 20060501_06428_lHdSMR
JIT  - 20060428_1800_r8
GC   - 20060501_AA)
JCL  - 20060511a
[root@dl385-02 bin]# echo $JAVA_OPTS

[root@dl385-02 bin]# sh ./run.sh 
=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /var/lib/jbossas

  JAVA: /usr/lib/jvm/java/bin/java

  JAVA_OPTS: -Dprogram.name=run.sh -Xms128m -Xmx512m
-Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000

  CLASSPATH: /var/lib/jbossas/bin/run.jar:/usr/lib/jvm/java/lib/tools.jar

=========================================================================

15:36:37,137 INFO  [Server] Starting JBoss (MX MicroKernel)...
15:36:37,140 INFO  [Server] Release ID: JBoss [Zion] 4.0.5.GA (build:
CVSTag=Branch_4_0 date=200701231710)

.
.
.
.
15:36:48,543 INFO  [Http11BaseProtocol] Starting Coyote HTTP/1.1 on
http-0.0.0.0-8080
15:36:48,605 INFO  [ChannelSocket] JK: ajp13 listening on /0.0.0.0:8009
15:36:48,616 INFO  [JkMain] Jk running ID=0 time=0/30  config=null
15:36:48,625 INFO  [Server] JBoss (MX MicroKernel) [4.0.5.GA (build:
CVSTag=Branch_4_0 date=200701231710)] Started in 11s:473ms

[root@dl385-02 bin]# telnet localhost 8080
Trying 127.0.0.1...
Connected to localhost.localdomain (127.0.0.1).
Escape character is '^]'.
GET /
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
   <title>Welcome to JBoss&trade;</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
   <link rel="StyleSheet" href="jboss.css" type="text/css"/>
</head>

<body>
<!-- header begin -->
   <a href="http://www.jboss.org">
      <img src="logo.gif" alt="JBoss" id="logo" width="226" height="105" />
   </a>
   <div id="header">&nbsp;</div>
   <div id="navigation_bar"></div>
<!-- header end -->

   <h3>JBoss Online Resources</h3>
   <ul>
      <li><a href="http://www.jboss.org/products/jbossas/docs">JBoss
Documentation</a></li>
      <li><a href="http://wiki.jboss.org/">JBoss Wiki</a></li>
      <li><a href="http://jira.jboss.org/">JBoss JIRA</a></li>      
      <li><a href="http://www.jboss.org/index.html?module=bb">JBoss Forums</a></li>
   </ul>

   <h3>JBoss Management</h3>
   <ul>
      <li><a href="/status">Tomcat status</a>
          <a href="/status?full=true">(full)</a>
          <a href="/status?XML=true">(XML)</a></li>
      <li><a href="/jmx-console/">JMX Console</a></li>
      <li><a href="/web-console/">JBoss Web Console</a></li>
   </ul>

<!-- footer begin -->
   <div id="footer">
      <div id="credits">JBoss&trade; Application Server</div>
      <div id="footer_bar">&nbsp;</div>
   </div>
<!-- footer end -->
</body>

</html>
Connection closed by foreign host.

Comment 4 Red Hat Bugzilla 2007-02-19 13:29:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0084.html

Note You need to log in before you can comment on or make changes to this bug.